function onTalk()
    disableMovement()
	disableRetry()

    if not (getFlag("taco")) then
      say ("Ivy")
    end

    if (getFlag("taco")) then
      say ("taco")
      setFlag("strawberry")
    end

end

function onEnd()
    enableMovement()
      enableRetry()
end